Application: gvSIG desktop - gvSIG bugs #5050
problemas al crear campo o afadir columna / promes at add field
03/27/2019 06:43 PM - Mario Fevre

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category:

Target version: 2.5.0-2916 (rev. org.gvsig.deskiop-2.0.244)

Severity: Minor Add-on version:

gvSIG version: 250 Add-on build:

gvSIG build: 2913 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

ES:

Anadiendo una nueva columna, tipo strng, la opcion por defecto es Permite nulos:no. Si la capa ya contiene features, esta
configuracién generara un error que anulara la accion de crear columna, so users that not understans al de null vaule thing, will have
problems resolving the problem.

Ademas el mesaje de error no esté traducido.

Finalmente, después de arrojar el error, la capa en la TOC, se pone en alerta (adjunto imagen) (adjunto log)

EN:

Adding a new field, type strng, default option is string, null value not valid. If layer already has features, this settings will crash the
action, so users that not understans al de null vaule thing, will have problems resolving the problem.

Besides, error message is not translated.

Finally, after crashing the table edition like this, layer at TOC turns alert on thike this (attached image) (attached log)

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5034: Da error al crear ... Closed 03/05/2019

History

#1 - 03/28/2019 07:31 AM - Alvaro Anguix
- Target version set to 2.5.0-2930-final

#2 - 03/28/2019 01:17 PM - Oscar Martinez

- Related to gvSIG bugs #5034: Da error al crear campos si no se marca la opcién de que permita "null" added

#3 - 03/28/2019 01:18 PM - Oscar Martinez
- Status changed from New to Fixed

#4 - 04/01/2019 11:27 AM - Joaquin del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.5.0-2915 (rev. org.gvsig.desktop-2.0.243)

#5 - 04/01/2019 12:20 PM - Joaquin del Cerro Murciano
- Target version changed from 2.5.0-2915 (rev. org.gvsig.desktop-2.0.243) to 2.5.0-2916 (rev. org.gvsig.desktop-2.0.244)

#6 - 10/17/2019 01:39 PM - Alvaro Anguix

- Status changed from Fixed to Closed
